List node templates
curl --request GET \
--url https://api.quiva.ai/hub/nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results_total": 3,
"results": [
{
"subject": "ms.hub.config.node.805092869.98765432",
"collection": "ms.hub.config.collection.node.805092869",
"data": {
"id": "98765432",
"name": "ProcessPayment",
"description": "Processes payment via Stripe",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}"
}
},
"type": "created",
"modified": 1748533179
},
{
"subject": "ms.hub.config.node.805092869.11223344",
"collection": "ms.hub.config.collection.node.805092869",
"data": {
"id": "11223344",
"name": "ValidateCard",
"node_type": "function",
"subject": "quiva-function.card-validator",
"payload": {
"card_number": "{{trigger.card}}"
}
},
"type": "updated",
"modified": 1748533200
},
{
"subject": "ms.hub.config.node.1025086208.55667788",
"collection": "ms.hub.config.collection.node.1025086208",
"data": {
"id": "55667788",
"name": "TransformData",
"node_type": "map",
"payload": {
"output": "{{trigger.input | uppercase}}"
}
},
"type": "created",
"modified": 1748533250
}
]
}Nodes
List node templates
Retrieves a list of node templates, optionally filtered by collection and type
GET
/
hub
/
nodes
List node templates
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
⌘I